import { EventDefinition, PipeEventHandler } from "../../types";
import { ApplicationManager } from "./index";
export declare class BackendPipe extends ApplicationManager {
    /**
     * Registers a new pipe on an event
     *
     * @param event - Event name
     * @param handler - Function to execute when the event is triggered
     */
    register<TEventDefinition extends EventDefinition = EventDefinition>(event: TEventDefinition["name"], handler: PipeEventHandler<TEventDefinition>, options?: any): string | void;
    unregister(pipeId: string): void;
}
