import { JSONObject } from "kuzzle-sdk";
/**
 * Represents a realtime subscription of a connection to a room.
 *
 * This object is used in the Internal Event System to give informations about
 * added/removed subscriptions.
 *
 * @property connectionId
 * @property roomId
 * @property index
 * @property collection
 * @property filters
 * @property kuid
 */
export declare class Subscription {
    connectionId: string;
    roomId: string;
    index: string;
    collection: string;
    filters: JSONObject;
    kuid: string;
    constructor(index: string, collection: string, filters: JSONObject, roomId: string, connectionId: string, user: {
        _id: string;
    });
}
