export interface TokenContent {
    /**
     * Token ID (also Redis key)
     *
     * @example `${userId}#${jwt}`
     */
    _id?: string;
    expiresAt?: number;
    ttl?: number;
    userId?: string;
    connectionIds?: string[];
    jwt?: string;
    refreshed?: boolean;
    singleUse?: boolean;
}
/**
 * Represents a token that identify an user.
 */
export declare class Token implements TokenContent {
    _id: string;
    expiresAt: number;
    ttl: number;
    userId: string;
    jwt: string;
    refreshed: boolean;
    singleUse: boolean;
    constructor(data?: TokenContent);
    get type(): "apiKey" | "authToken";
    static get AUTH_PREFIX(): string;
    static get APIKEY_PREFIX(): string;
}
