import { Profile } from "./profile";
import { KuzzleRequest } from "../../../index";
/**
 * @class User
 */
export declare class User {
    _id: string;
    profileIds: string[];
    constructor();
    /**
     * @returns {Promise<Profile[]>}
     */
    getProfiles(): Promise<Profile[]>;
    /**
     * @returns {Promise}
     */
    getRights(): Promise<{}>;
    /**
     * @param {Request} request
     * @returns {Promise.<boolean>}
     */
    isActionAllowed(request: KuzzleRequest): Promise<boolean>;
    /**
     * Verifies that every targets are allowed by at least one profile,
     * while skipping the ones that includes a wildcard since they will be expanded
     * later on, based on index and collections authorized for the given user.
     */
    private areTargetsAllowed;
}
